<% charts_ids.each do |chart_id| %>
  <% chart_stats = @stats[chart_id] %>
  <% div_id = "#{chart_id.to_s.gsub('_', '-')}-chart" %>

  <div id="<%= div_id %>" style="width: 100%; min-height: 400px"></div>

  <%= javascript_tag do %>
    <%= chart_id %>_chart = new ChartGenerator(echarts, $, window);

    <% if chart_stats[:chart_type] == 'map' %>
      <%= chart_id %>_chart.createColorMap(
        "<%= div_id %>",
        "<%= chart_stats[:chart_title] %>",
        <%=raw chart_stats[:data].to_json %>,
        "<%= parent_id %>",
        "<%= chart_stats[:chart_area] %>"
      );
    <% else %>
      <%= chart_id %>_chart.createChart(
        "<%= div_id %>",
        "<%= chart_stats[:chart_title] %>",
        <%=raw chart_stats[:data].to_json %>,
        "<%= chart_stats[:chart_type] %>",
        <%=raw chart_stats[:chart_options].to_json %>,
        "<%= parent_id %>"
      );
    <% end %>

  <% end %>
<% end %>
